@import url("https://fonts.googleapis.com/css2?family=EB+Garamond:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600&family=Mulish:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;1,200;1,300;1,400;1,500;1,600;1,700&family=Noto+Sans+JP:wght@100;300;400;500;700&display=swap");

.showcase_background {
  // background: #f8f8f8;
  // padding-top: 36px;
  // padding-bottom: 52px;
  // width: 100%;
  padding: 30px;
  margin-left: 18%;
  // padding-left: 20%;
}

.showcase_container {
  // width: 1122px;
  width: 100%;
  // padding: 30px;
  // margin-left: 18%;
  margin: 0 auto;
}

.showcase_header {
  display: grid;
  grid-template-columns: 1fr 546px;
  height: 32px;
  margin-bottom: 60px;
  > h3 {
    font-family: Mulish;
    font-style: normal;
    font-weight: bold;
    font-size: 24px;
  }
}

.showcase_box_search {
  position: relative;
  width: 546px;
  height: 32px;
  > input {
    width: 546px;
    height: 32px;
    padding-left: 16px;
    font-family: Mulish;
    font-style: normal;
    font-weight: normal;
    font-size: 11px;
    border: 1px solid #e3e3e3;
  }
  > img {
    position: absolute;
    width: 15px;
    top: 8px;
    right: 13px;
  }
}

.showcase_content {
  position: relative;
  min-height: 942px;
  // width: 1122px;
  width: 100%;
  border: 1px solid #e3e3e3;
  border-radius: 8px;
  background: white;
  padding-bottom: 40px;
  > .showcase_btn_srt_fltr {
    position: relative;
    height: 60px;
    width: 100%;
    .btn_create_showcase {
      width: 172px;
      height: 37px;
      background: #214457;
      cursor: pointer;
      border: none;
      color: white;
      font-family: Inter;
      font-style: normal;
      font-weight: bold;
      font-size: 14px;
      box-shadow: 0px 4px 10px rgba(33, 68, 87, 0.2);
      position: absolute;
      top: 23px;
      left: 31px;
      &:hover {
        background: #122e3d;
        box-shadow: 0px 4px 10px rgba(33, 68, 87, 0.2);
      }
      &:focus {
        background: #122e3d;
        box-shadow: 0px 4px 10px rgba(33, 68, 87, 0.2);
      }
    }
    > .showcase_srt_btn {
      position: absolute;
      right: 122px;
      top: 37px;
      cursor: pointer;
      font-family: Mulish;
      font-style: normal;
      font-weight: 600;
      font-size: 14px;
      color: #4b506d;
      &:hover {
        color: black;
      }
      > img {
        padding-right: 9px;
      }
    }
    > .showcase_fltr_btn {
      position: absolute;
      right: 32px;
      top: 37px;
      cursor: pointer;
      font-family: Mulish;
      font-style: normal;
      font-weight: 600;
      font-size: 14px;
      color: #4b506d;
      &:hover {
        color: black;
      }
      > img {
        padding-right: 9px;
      }
    }
  }
}

.showcase_title_detail {
  border-bottom: 1.5px solid #dfe0eb;
  display: grid;
  grid-template-columns: 425px 237px 218px 1fr;
  padding: 44px 32px 12px 32px;
  > span {
    font-family: Mulish;
    font-style: normal;
    font-weight: bold;
    font-size: 14px;
    color: #9fa2b4;
  }
}

.showcase_field_detail {
  border-bottom: 1.5px solid #dfe0eb;
  display: grid;
  grid-template-columns: 425px 237px 218px 70px 1fr;
  padding: 26px 32px;
  > :nth-child(1) {
    > a {
      font-family: Mulish;
      font-style: normal;
      font-weight: 600;
      font-size: 14px;
      line-height: 20px;
      letter-spacing: 0.2px;
      text-decoration-line: underline;
      color: #373737;
    }
    > p {
      font-family: Mulish;
      font-style: normal;
      font-weight: normal;
      font-size: 12px;
      line-height: 16px;
      color: #999999;
      margin-top: 4px;
    }
  }
  > :nth-child(2) {
    > span {
      font-family: Mulish;
      font-style: normal;
      font-weight: 600;
      font-size: 14px;
      line-height: 20px;
      color: #373737;
    }
    > p {
      font-family: Mulish;
      font-style: normal;
      font-weight: normal;
      font-size: 12px;
      line-height: 16px;
      letter-spacing: 0.1px;
      text-decoration-line: underline;
      color: #999999;
      margin-top: 4px;
    }
  }
  > :nth-child(3) {
    > span {
      font-family: Mulish;
      font-style: normal;
      font-weight: 600;
      font-size: 14px;
      line-height: 20px;
      letter-spacing: 0.2px;
      color: #373737;
    }
    > p {
      font-family: Mulish;
      font-style: normal;
      font-weight: normal;
      font-size: 12px;
      line-height: 16px;
      letter-spacing: 0.1px;
      color: #999999;
      margin-top: 4px;
    }
  }
  > :nth-child(4) {
    display: flex;
    align-items: center;
    justify-content: center;

    //toogle switch custom
    > input[type="checkbox"] {
      height: 0;
      width: 0;
      visibility: hidden;
    }
    > label {
      cursor: pointer;
      width: 30px;
      height: 16px;
      background: #e0e0e0;
      display: block;
      border-radius: 20px;
      position: relative;
    }
    > label:after {
      content: "";
      position: absolute;
      top: 2px;
      left: 2px;
      width: 12px;
      height: 12px;
      background: #fff;
      border-radius: 50%;
      transition: 0.15s;
    }
    > input:checked + label {
      background: #092c4c;
    }

    input:checked + label:after {
      left: calc(100% - 2px);
      transform: translateX(-100%);
    }

    label:active:after {
      width: 12px;
    } //end toogle switch custom
  }
  > :nth-child(5) {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    > img {
      cursor: pointer;
    }
  }
}

.showcase_pagination {
  position: absolute;
  bottom: 0;
  right: 0;
  height: 40px;
  width: 350px;
  > div {
    display: flex;
    > p {
      font-family: Mulish;
      font-style: normal;
      font-weight: normal;
      font-size: 14px;
      line-height: 20px;
      letter-spacing: 0.3px;
      color: #9fa2b4;
      margin-right: 8px;
    }
    > span {
      font-family: Mulish;
      font-style: normal;
      font-weight: normal;
      font-size: 14px;
      line-height: 20px;
      text-align: right;
      letter-spacing: 0.3px;
      color: #4b506d;
      margin-right: 55px;
    }
    :nth-child(3) {
      margin-right: 20px;
    }
    :nth-child(4) {
      margin-right: 15px;
    }

    > button {
      width: 20px;
      height: 20px;
      border: none;
      cursor: pointer;
      background: white;
      display: flex;
      align-items: center;
      justify-content: center;
      > img {
        width: 14px;
      }
    }
  }
}
